// Artillery AI by keV
// AI will mimic the primary piece and operate as a battery.
// Requires the BIS artillery module
 
AAIprime = c0;				// the primary player controlled piece
AAIcannons = [c1,c2,c3,c4,c5];	// list all AI controlled pieces here

AAIfireall = false;
{
	gunner _x disableAI "TARGET";
	gunner _x disableAI "AUTOTARGET";
	_x setVariable ["ARTY_SCOPE", AAIprime, true];
	_theta = 0.035;
	_x setVariable ["ARTY_THETA", _theta];
} foreach AAIcannons;
AAIprime setVariable ["ARTY_ONMISSION", true, true];
AAIprime setVariable ["ARTY_SHELL_SPAWN", false, true];
AAIprime addEventHandler ["fired", {_this execVM "ArtilleryAI\fire.sqf"}];
AAIprime addEventHandler ["getin", {execVM "ArtilleryAI\aiming.sqf"}];
AAIprime addEventHandler ["getout", {AAIaimcannons = false; publicVariable "AAIaimcannons"}];
AAIprime addAction ["Enable All Artillery", "ArtilleryAI\enable.sqf", 0, 6, false, true, "", "!AAIfireall && vehicle player == _target"];
AAIprime addAction ["Disable All Artillery", "ArtilleryAI\disable.sqf", 0, 6, false, true, "", "AAIfireall && vehicle player == _target"];
